Bug 681760 (CVE-2011-1143) - CVE-2011-1143 Wireshark: Null pointer dereference causing application crash when reading malformed pcap file
Summary: CVE-2011-1143 Wireshark: Null pointer dereference causing application crash w...
Status: CLOSED ERRATA
Alias: CVE-2011-1143
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110301,reported=20110301,sou...
Keywords: Security
Depends On: 549582 612240 676781 682932 682937 809045 809046 833994
Blocks: 807617
TreeView+ depends on / blocked
 
Reported: 2011-03-03 07:12 UTC by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 11:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 17:34:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0370 normal SHIPPED_LIVE Moderate: wireshark security update 2011-03-21 19:39:13 UTC
Red Hat Product Errata RHSA-2012:0509 normal SHIPPED_LIVE Moderate: wireshark security update 2012-04-23 20:47:35 UTC

Description Huzaifa S. Sidhpurwala 2011-03-03 07:12:35 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1143 to
the following vulnerability:

Name: CVE-2011-1143
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1143
Assigned: 20110302
Reference: CONFIRM:http://anonsvn.wireshark.org/viewvc?view=rev&revision=34018
Reference: CONFIRM:http://www.wireshark.org/docs/relnotes/wireshark-1.4.4.html
Reference: CONFIRM:https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5157

epan/dissectors/packet-ntlmssp.c in the NTLMSSP dissector in Wireshark
before 1.4.4 allows remote attackers to cause a denial of service
(NULL pointer dereference and application crash) via a crafted .pcap
file.

Comment 1 Huzaifa S. Sidhpurwala 2011-03-03 09:27:53 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 4 errata-xmlrpc 2011-03-21 19:39:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0370 https://rhn.redhat.com/errata/RHSA-2011-0370.html

Comment 8 errata-xmlrpc 2012-04-23 16:52:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html

Comment 9 Vincent Danen 2012-04-23 17:34:24 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.